from Products.Silva.ExtensionRegistry import extensionRegistry
import install
import LDAPMembership, LDAPGroupsService
from Products.FileSystemSite.DirectoryView import registerDirectory

def initialize(context):
    extensionRegistry.register(
        'SilvaExtETHLDAP', 'Silva Eth', context, [],
        install, depends_on='Silva')
    
    context.registerClass(
        LDAPMembership.LDAPMemberService,
        constructors = (LDAPMembership.manage_addLDAPMemberServiceForm,
                        LDAPMembership.manage_addLDAPMemberService),
        )

    context.registerClass(
        LDAPMembership.LDAPMember,
        constructors = (LDAPMembership.manage_addLDAPMemberForm,
                        LDAPMembership.manage_addLDAPMember),
        )


    context.registerClass(
        LDAPGroupsService.LDAPGroupsService,
        constructors = (LDAPGroupsService.manage_addGroupsServiceForm,
                        LDAPGroupsService.manage_addGroupsService),
        )
 

    registerDirectory('views', globals())
